#
# spec file for package perl-List-Compare
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-Compare
Version:        0.53
Release:        1.1
%define cpan_name List-Compare
Summary:        Compare elements of two or more lists
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-Compare/
Source0:        http://www.cpan.org/authors/id/J/JK/JKEENAN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Compare elements of two or more lists

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes FAQ README

%changelog
* Mon Jun 15 2015 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-Compare/Changes
  0.53 Sun Jun  7 10:49:24 MDT 2015
  - Accept patch submitted by Paulo Custodio reworking, and correcting,
    changes originally published in 0.50.
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.52
  see /usr/share/doc/packages/perl-List-Compare/Changes
  0.52 Thu May 21 21:57:18 EDT 2015
  - v0.51 changes were not applied to master branch; apply them.
    Remove two hash-to-hash assignments in List::Compare::Base::_Auxiliary::_subset_subengine.
* Fri May 15 2015 coolo@suse.com
- updated to 0.51
  see /usr/share/doc/packages/perl-List-Compare/Changes
  0.51 Thu May 14 21:49:00 EDT 2015
  - Changes to List::Compare::Functional::is_LsubsetR introduced in v0.50
    found to be buggy.  See: https://rt.cpan.org/Ticket/Display.html?id=104452.
    Pending further investigation, reverted to v0.49 of
    List::Compare::Base::_Auxiliary; added two test files.
* Sun May 10 2015 coolo@suse.com
- updated to 0.50
  see /usr/share/doc/packages/perl-List-Compare/Changes
  0.50 Sat May  9 09:06:41 EDT 2015
  - Improve performance of is_LsubsetR via patches submitted by Mich Rawson
    at New York Perl Hackathon (May 2 2015).
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.49
  see /usr/share/doc/packages/perl-List-Compare/Changes
* Mon Apr 21 2014 mardnh@gmx.de
- update to version 0.38
* Sun May  1 2011 coolo@opensuse.org
- initial package 0.37
  * created by cpanspec 1.78.04
